This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1007964 - Review Request: arptables - User space tool to set up tables of ARP rules in kernel
Review Request: arptables - User space tool to set up tables of ARP rules in...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Hozza
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1018135
  Show dependency treegraph
 
Reported: 2013-09-13 11:54 EDT by Jiri Popelka
Modified: 2013-10-11 06:16 EDT (History)
5 users (show)

See Also:
Fixed In Version: arptables-0.0.4-4.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 09:48:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
thozza: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jiri Popelka 2013-09-13 11:54:15 EDT
Spec URL: http://jpopelka.fedorapeople.org/arptables.spec
SRPM URL: http://jpopelka.fedorapeople.org/arptables-0.0.4-1.fc19.src.rpm

Description:
The arptables is a user space tool used to set up and maintain
the tables of ARP rules in the Linux kernel. These rules inspect
the ARP frames which they see. arptables is analogous to the iptables
user space tool, but is less complicated.

Fedora Account System Username: jpopelka


Note: This is a renaming review request. arptables is going to replace existing arptables_jf package.
Comment 1 Christopher Meng 2013-09-13 11:59:38 EDT
install with -p.
Comment 2 Jiri Popelka 2013-09-13 12:19:22 EDT
(In reply to Christopher Meng from comment #1)
> install with -p.

Thanks

Spec URL: http://jpopelka.fedorapeople.org/arptables.spec
SRPM URL: http://jpopelka.fedorapeople.org/arptables-0.0.4-2.fc19.src.rpm
Comment 3 Jiri Popelka 2013-09-16 06:10:13 EDT
Building against system kernel headers instead of arptables provided ones (thanks Tomas).

Spec URL: http://jpopelka.fedorapeople.org/arptables.spec
SRPM URL: http://jpopelka.fedorapeople.org/arptables-0.0.4-3.fc19.src.rpm
Comment 4 Tomáš Hozza 2013-09-16 06:38:30 EDT
(In reply to Jiri Popelka from comment #3)
> SRPM URL: http://jpopelka.fedorapeople.org/arptables-0.0.4-3.fc19.src.rpm
the link does not work, butthe following does:
http://jpopelka.fedorapeople.org/arptables-0.0.4-3.fc20.src.rpm


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: arptables-0.0.4-3.fc19.x86_64.rpm
          arptables-0.0.4-3.fc19.src.rpm
arptables.x86_64: W: spelling-error %description -l en_US iptables -> tables
arptables.x86_64: W: only-non-binary-in-usr-lib
arptables.x86_64: W: no-manual-page-for-binary arptables-save
arptables.x86_64: W: no-manual-page-for-binary arptables-restore
arptables.src: W: spelling-error %description -l en_US iptables -> tables
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint arptables
arptables.x86_64: W: spelling-error %description -l en_US iptables -> tables
arptables.x86_64: W: only-non-binary-in-usr-lib
arptables.x86_64: W: no-manual-page-for-binary arptables-save
arptables.x86_64: W: no-manual-page-for-binary arptables-restore
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
arptables (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/perl
    config(arptables)
    libc.so.6()(64bit)
    perl(strict)
    rtld(GNU_HASH)
    systemd



Provides
--------
arptables:
    arptables
    arptables(x86-64)
    arptables_jf
    config(arptables)



Source checksums
----------------
http://downloads.sourceforge.net/ebtables/arptables/arptables-v0.0.4.tar.gz :
  CHECKSUM(SHA256) this package     : 277985e29ecd93bd759a58242cad0e02ba9d4a6e1b7795235e3b507661bc0049
  CHECKSUM(SHA256) upstream package : 277985e29ecd93bd759a58242cad0e02ba9d4a6e1b7795235e3b507661bc0049


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1007964
Buildroot used: fedora-19-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG



Errors:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
- License file is included as a separate Source and is not part of upstream
  tarball. However this is a SHOULD, so not a big problem.

The new 'arptables' package is missing some man pages that the original arptables_jf
package provides, specifically:
/usr/share/man/man8/arptables-restore.8.gz
/usr/share/man/man8/arptables-save.8.gz

Please work with upstream to add these man pages into the package in future releases.


Besides these minor issues, the package looks good and is APPROVED!
Comment 5 Jiri Popelka 2013-09-16 06:49:07 EDT
New Package SCM Request
=======================
Package Name: arptables
Short Description: User space tool to set up tables of ARP rules in kernel
Owners: jpopelka
Comment 6 Gwyn Ciesla 2013-09-16 08:46:32 EDT
Git done (by process-git-requests).
Comment 7 Jiri Popelka 2013-09-16 09:48:01 EDT
Thanks all !

Note You need to log in before you can comment on or make changes to this bug.